/**
 * The base class for all view
 **/
jsp.views.BaseView = function() {
    this.viewDiv = document.createElement("div");
    this.viewDiv.className = "content-view";
};

jsp.views.BaseView.prototype.bind = function() {
    this.viewDiv.addEventListener(jsp.DEFAULT_KEY_EVENT, this.keyListener.bind(this));
};

jsp.views.BaseView.prototype.render = function() {

};

jsp.views.BaseView.prototype.keyListener = function(e) {

};

jsp.views.BaseView.prototype.destroy = function() {

};

jsp.views.BaseView.prototype.clear = function() {
    this.viewDiv.innerHTML = "";
};

jsp.views.BaseView.prototype.focusToItem = function(selectToItem) {
    if(selectToItem || this.selectedItem) {
        var item = jsp.byId(selectToItem || this.selectedItem);
        item && item.focus();
    }
};