<?php
/**
 * PHP script launcher. Called from do.php
 */

date_default_timezone_set ('UTC');

function safely_get_value_of_global_variables ($name, $key)
{
  return (isset ($name[$key]))?($name[$key]):('');
}

{
  class DuneSystem
  {
    public static $properties = array ();
  };
  DuneSystem::$properties['plugin_name']      = safely_get_value_of_global_variables ($_ENV, 'PLUGIN_NAME');
  DuneSystem::$properties['install_dir_path'] = safely_get_value_of_global_variables ($_ENV, 'PLUGIN_INSTALL_DIR_PATH');
  DuneSystem::$properties['tmp_dir_path']     = safely_get_value_of_global_variables ($_ENV, 'PLUGIN_TMP_DIR_PATH');
  DuneSystem::$properties['plugin_www_url']   = safely_get_value_of_global_variables ($_ENV, 'PLUGIN_WWW_URL');
  DuneSystem::$properties['plugin_cgi_url']   = safely_get_value_of_global_variables ($_ENV, 'PLUGIN_CGI_URL');
  DuneSystem::$properties['data_dir_path']    = safely_get_value_of_global_variables ($_ENV, 'PLUGIN_DATA_DIR_PATH');
}

function get_ip ()
{
    if (isset ($_SERVER['HTTP_X_REAL_IP']))
        return $_SERVER['HTTP_X_REAL_IP'];
    return $_SERVER['REMOTE_ADDR'];
}

if (empty ($_ENV['PATH_INFO']))
{
    header ('Content-type: text/plain; charset=utf-8');
    printf ("please enter: php script name\n");
    printf ('example: http://' . get_ip () . $_ENV['SCRIPT_NAME'] . '/*.php?arg1=val1&arg2=val2&argn=valn\n');
    echo '[PATH_INFO] => ' . $_ENV['PATH_INFO'] . "\n";
    echo '[QUERY_STRING] => ' . $_ENV['QUERY_STRING'] . "\n";
    exit(1);
}

$php_file = DuneSystem::$properties['install_dir_path'] . '/www/cgi-bin' . $_ENV['PATH_INFO'];

if (!file_exists ($php_file))
{
    header ('Content-type: text/plain; charset=utf-8');
    printf ("File '".$_ENV['PATH_INFO']."' does not exist\n");
    exit(1);
}

return require_once $php_file;
